| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DDS Dynamic Types API
eProsima Fast DDS API Reference » DDS Public API
Collaboration diagram for DDS Dynamic Types API:

## Enumerations

enum class | ExtensibilityKind : int32_t { FINAL , APPENDABLE , MUTABLE }
| This class represents the enumeration ExtensibilityKind defined by the user in the IDL file. More...
enum class | TryConstructKind : int32_t { USE_DEFAULT , DISCARD , TRIM }
| This class represents the enumeration TryConstructKind defined by the user in the IDL file. More...

## Detailed Description

## Enumeration Type Documentation

## ◆ ExtensibilityKind

enum class ExtensibilityKind : int32_t

strong

This class represents the enumeration ExtensibilityKind defined by the user in the IDL file.

Enumerator
FINAL |
APPENDABLE |
MUTABLE |

## ◆ TryConstructKind

enum class TryConstructKind : int32_t

strong

This class represents the enumeration TryConstructKind defined by the user in the IDL file.

Enumerator
USE_DEFAULT |
DISCARD |
TRIM |